Minimum Requirements

Teleroute PRO

Teleroute ACTIVE

Browser
MS Internet Explorer 8, 9, 10
Chrome: as of version 22
Firefox: as of version 9
Browser
MS Internet Explorer 8, 9, 10
Chrome: as of version 22
Firefox: as of version 12
OS
Windows XP, 7, 8
Mac OS as of 10.5
Android 4

OS
Windows XP, 7, 8

Link for set up in English here (working only on IE)